package com.duiba.tuia.youtui.web.tool;

import com.alibaba.fastjson.JSONObject;
import com.google.common.collect.Maps;
import org.junit.Assert;
import org.junit.Test;

import java.util.Map;

/**
 * Created by zhengjy on 2017/2/22.
 */
public class EmbedUtilTest {

    @Test
    public void testExposure(){
        JSONObject jo=  EmbedUtil.exposure(1L, 1L, "","","","",null);
        Assert.assertNotNull(jo);
    }
    @Test
    public void testexposure4elastic(){
        JSONObject jo=  EmbedUtil.exposure4elastic(1L, 1L, "","","","",null);
        Assert.assertNotNull(jo);
    }

    @Test
    public void testexposure(){
        JSONObject jo=  EmbedUtil.exposure(1L, 1L, "", "", "", "",
                1L,2L,2L) ;
        Assert.assertNotNull(jo);
    }

    @Test
    public void testemdExporForActivity(){
        Map<String,Object> map = Maps.newHashMap();
        String jo=  EmbedUtil.emdExporForActivity(map);
        Assert.assertNotNull(jo);
    }

    @Test
    public void testemdExporFromMap(){
        Map<String,Object> map = Maps.newHashMap();
        JSONObject jo=  EmbedUtil.emdExporFromMap(map);
        Assert.assertNotNull(jo);
    }

    @Test
    public void testluckyToBiLogName(){
        String jo=  EmbedUtil.luckyToBiLogName("xx");
        Assert.assertNotNull(jo);
    }

    @Test
    public void testgetEncryptUrl(){
        String jo=  EmbedUtil.getEncryptUrl("xx",1L);
        Assert.assertNotNull(jo);
    }

    @Test
    public void testemdUserInfo(){
        JSONObject jo=  EmbedUtil.emdUserInfo();
        Assert.assertNotNull(jo);
    }
}
